clang 10.0.0git

Public Attributes | List of all members
CXUnsavedFile Struct Reference
libclang: C Interface to Clang

Provides the contents of a file that has not yet been saved to disk. More...

`#include "clang-c/Index.h"`

Collaboration diagram for CXUnsavedFile:
[legend]

## Public Attributes
const char * | Filename
| The file whose contents have not yet been saved. More...
const char * | Contents
| A buffer containing the unsaved contents of this file. More...
unsigned long | Length
| The length of the unsaved contents of this buffer. More...

## Detailed Description

Provides the contents of a file that has not yet been saved to disk.

Each CXUnsavedFile instance provides the name of a file on the system along with the current contents of that file that have not yet been saved to disk.

Definition at line 106 of file Index.h.

## Member Data Documentation

## ◆ Contents

const char* CXUnsavedFile::Contents

A buffer containing the unsaved contents of this file.

Definition at line 117 of file Index.h.

## ◆ Filename

const char* CXUnsavedFile::Filename

The file whose contents have not yet been saved.

This file must already exist in the file system.

Definition at line 112 of file Index.h.

## ◆ Length

unsigned long CXUnsavedFile::Length

The length of the unsaved contents of this buffer.

Definition at line 122 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h